> ## Documentation Index
> Fetch the complete documentation index at: https://steamgold.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Проверка аккаунта

> Проверяет возможность пополнения баланса



## OpenAPI

````yaml POST /gold/verify
openapi: 3.0.1
info:
  title: OpenAPI SteamGold
  description: Is used for steamgold API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.steamgold.dev/v1
security:
  - bearerAuth: []
paths:
  /gold/verify:
    post:
      description: Проверяет возможность пополнения баланса
      requestBody:
        description: Описание намерения
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IntentGoldVerifyRequest'
        required: true
      responses:
        '200':
          description: intent response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntentGoldVerifyResponse'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    IntentGoldVerifyRequest:
      required:
        - account
        - platform
      type: object
      properties:
        account:
          description: Идентификатор аккаунта геймера
          type: string
        platform:
          description: Платформа на которой находится аккаунт
          type: string
    IntentGoldVerifyResponse:
      required:
        - code
        - intentId
        - verified
      type: object
      properties:
        code:
          description: HTTP-код ответа
          type: integer
          format: int32
        intentId:
          description: Идентификатор намерения
          type: string
          format: uuid
        verified:
          description: Сообщение об успешном выполнении операции
          type: boolean
        message:
          description: Сообщение об успешном выполнении операции
          type: string
    Error:
      required:
        - code
        - message
      type: object
      properties:
        code:
          description: HTTP-код ответа
          type: integer
          format: int32
        message:
          description: Сообщение об ошибке
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````